> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequenzy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Tag

> Delete a tag definition

Delete a tag definition and remove the tag from all subscribers that have it. Tags that are referenced by sequence steps (add tag, remove tag, tag triggers, conditions, or branches) cannot be deleted until those steps are removed. System tags cannot be deleted.

## Request

<ParamField path="tagId" type="string" required>
  Tag definition ID.
</ParamField>

```bash theme={null}
curl -X DELETE "https://api.sequenzy.com/api/v1/tags/tag_abc123" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Responses

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true
  }
  ```

  ```json 401 theme={null}
  {
    "error": "Invalid API key"
  }
  ```

  ```json 403 theme={null}
  {
    "error": "Cannot delete system tags"
  }
  ```

  ```json 404 theme={null}
  {
    "error": "Tag not found"
  }
  ```

  ```json 409 theme={null}
  {
    "error": "Cannot delete tag: it's used in 2 sequence(s): Welcome Flow, Onboarding"
  }
  ```
</ResponseExample>
